OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
MaskSegmentGroup< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | LeafNodeType = typename TreeType::LeafNodeType
using | TreeTypePtr = typename TreeType::Ptr
using | NodeMaskSegmentType = NodeMaskSegment< LeafNodeType >

## Public Member Functions
| MaskSegmentGroup (const std::vector< NodeMaskSegmentType *> &segments)
| MaskSegmentGroup (const MaskSegmentGroup &rhs, tbb::split)
TreeTypePtr & | mask ()
void | join (MaskSegmentGroup &rhs)
void | operator() (const tbb::blocked_range< size_t > &range)

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ NodeMaskSegmentType

using NodeMaskSegmentType = NodeMaskSegment<LeafNodeType>

## ◆ TreeTypePtr

using TreeTypePtr = typename TreeType::Ptr

## Constructor & Destructor Documentation

## ◆ MaskSegmentGroup() [1/2]

MaskSegmentGroup | ( | const std::vector< NodeMaskSegmentType *> & | segments | ) |
| inline

## ◆ MaskSegmentGroup() [2/2]

MaskSegmentGroup | ( | const MaskSegmentGroup< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | MaskSegmentGroup< TreeType > & | rhs | ) |
| inline

## ◆ mask()

TreeTypePtr& mask | ( |  | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h